Subject: Re: bug#14012: Bug#703565: [coreutils] Please add timestamps to the output of tail -f

From: Bob Proulx <[email-masked]>
Date: Mon, 1 Apr 2013 11:36:28 -0600

Additionally I ran into "annotate-output" today.

  NAME
       annotate-output - annotate program output with time and stream

  DESCRIPTION
       annotate-output  will  execute  the specified program, while prepending
       every line with the current time and O for stdout and E for
       stderr.

  EXAMPLE
       $ annotate-output make
       21:41:21 I: Started make
       21:41:21 O: gcc -Wall program.c
       21:43:18 E: program.c: Couldn't compile, and took me ages to find out
       21:43:19 E: collect2: ld returned 1 exit status
       21:43:19 E: make: *** [all] Error 1
       21:43:19 I: Finished with exitcode 2

Since you mentioned Debian I will note that it is packaged for Debian
in the devscripts packaged.  It seems to be an enhanced version of:

  http://jeroen.a-eskwadraat.nl/sw/annotate

Bob